Skip to main content
GET
/
lessons
/
{lessonId}
/
standards
Standards for a lesson
curl --request GET \
  --url https://api.learningcommons.org/knowledge-graph/v0/lessons/{lessonId}/standards \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "identifier": "7b0d37ef-9b49-59cb-936c-3ead359aed05",
      "caseIdentifierUUID": "6ba17134-d7cc-11e8-824f-0242ac160002",
      "author": "1EdTech",
      "provider": "Learning Commons",
      "license": "https://creativecommons.org/licenses/by/4.0/",
      "attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received state standards and written permission under CC BY-4.0 from 1EdTech."
    }
  ],
  "pagination": {
    "limit": 100,
    "nextCursor": null,
    "hasMore": false
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Include your API key in the x-api-key header for all requests.

Path Parameters

lessonId
string
required

The unique identifier of the lesson

Query Parameters

limit
integer
default:100

Maximum number of results to return. Default is 100. Maximum allowed is 1000.

Required range: 1 <= x <= 1000
cursor
string

Cursor for pagination. Obtain this value from the 'nextCursor' field in the previous response. Omit for the first page.

Response

Successfully retrieved list of aligned standards

Generic cursor-based paginated response wrapper

data
object[]
required

Array of result items

pagination
object
required

Cursor-based pagination metadata